'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');

const mount = (component, props, element, app) => {
  let el = element;

  let vNode = vue.createVNode(component, props);
  if (app?._context) vNode.appContext = app._context;
  if (el) vue.render(vNode, el);
  else if (typeof document !== 'undefined' ) vue.render(vNode, el = document.createElement('div'));

  const destroy = () => {
    if (el) vue.render(null, el);
    el = null;
    vNode = null;
  };

  return { vNode, destroy, el }
};

exports.mount = mount;
